{% extends 'base.html.twig' %}




{% block title %}Dossier index{% endblock %}

{% block stylesheet %}
    <style>
        .dt-buttons{ display:none;}
    </style>

{% endblock %}
{% block body %}
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="mb-0"> الملفات العائلية</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">الصفحة الرئيسية</a></li>
                        <li class="breadcrumb-item active"> الملفات العائلية</li>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <div class="row mb-3">
      <div class="col-md-12">
          <a href="{{ path('dossier_new') }}" class="btn btn-primary btn-lg waves-effect waves-light">  إنشاء ملف جديد</a>
      </div>
    </div>


    <div class="row">
        <div class="col-xl-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs nav-justified" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" data-toggle="tab" href="#navtabs2-home" role="tab">
                                <span class="d-block d-sm-none"><i class="fas fa-list"></i></span>
                                <span class="d-none d-sm-block">جدول الملفات العائلية</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#navtabs2-profile" role="tab">
                                <span class="d-block d-sm-none"><i class="fas fa-user-check"></i></span>
                                <span class="d-none d-sm-block">الملفات المكفولة</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#navtabs2-messages" role="tab">
                                <span class="d-block d-sm-none"><i class="fas fa-user-times"></i></span>
                                <span class="d-none d-sm-block">الملفات الموسمية</span>
                            </a>
                        </li>

                    </ul>

                    <!-- Tab panes -->
                    <div class="tab-content p-3 text-muted">
                        <div class="tab-pane active" id="navtabs2-home" role="tabpanel">
                            <div class="card-body">
                                <h4 class="card-title">جدول الملفات العائلية</h4>
                                <div class="">
                                    <table id="" class="table table-striped table-bordered dt-responsive nowrap datatable-buttons" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                        <tr>
                                            <th>الاسم العائلي للأيتام </th>
                                            <th>التاريخ</th>
                                            <th>رقم الملف</th>
                                            <th>المنطقة</th>
                                            <th>الجماعة</th>
                                            <th>العنوان</th>
                                            <th>الهاتف 1</th>
                                            <th>الوضعيات</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for dossier in dossiers %}
                                            <tr>
                                                <td>{{ dossier.familleNom }}</td>
                                                <td>{{ dossier.date ? dossier.date|date('Y-m-d') : '' }}</td>
                                                <td>{{ dossier.id }}</td>
                                                <td>{{ dossier.region }}</td>
                                                <td>{{ dossier.commune }}</td>
                                                <td>{{ dossier.adresse }}</td>
                                                <td>{{ dossier.tel1 }}</td>
                                                <td>
                                                    <a class="btn btn-info btn-soft-info waves-effect waves-light" href="{{ path('dossier_show', {'id': dossier.id}) }}">الدخول للملف</a>
                                                    <a class="btn btn-warning btn-soft-warning waves-effect waves-light" href="{{ path('dossier_edit', {'id': dossier.id}) }}">تعديل</a>
                                                    <a class="btn btn-danger btn-soft-danger waves-effect waves-light"
                                                       href="{{ path('dossier_delete', {'id': dossier.id}) }}" onclick="return confirm('تريد فعلا حدف الملف?')">حدف</a>
                                                </td>
                                            </tr>
                                        {% else %}
                                            <tr>
                                                <td colspan="10">لا يوجد أي شيئ</td>
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>
                                </div>

                            </div>
                        </div>
                        <div class="tab-pane" id="navtabs2-profile" role="tabpanel">
                            <div class="card-body">


                                <h4 class="card-title">الملفات المكفولة</h4>
                                <div class="">
                                    <table  class="table table-striped table-bordered dt-responsive nowrap datatable-buttons" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                        <tr>

                                            <th>التاريخ</th>
                                            <th>رقم الملف</th>
                                            <th>الاسم العائلي للأيتام </th>
                                            <th>المنطقة</th>
                                            <th>الجماعة</th>
                                            <th>العنوان</th>
                                            <th>الهاتف 1</th>
                                            <th>المساعدة</th>
                                            <th>الوضعيات</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for dossier in dossierIsValid %}
                                            <tr id="{{'dossier'~dossier.id}}">
                                                <td>{{ dossier.date ? dossier.date|date('Y-m-d') : '' }}</td>
                                                <td>{{ dossier.id }}</td>
                                                <td>{{ dossier.familleNom }}</td>
                                                <td>{{ dossier.region }}</td>
                                                <td>{{ dossier.commune }}</td>
                                                <td>{{ dossier.adresse }}</td>
                                                <td>{{ dossier.tel1 }}</td>

                                                <td>
                                                    <select name="socialAide_id" class="form-control select2" id="select-{{ loop.index }}" style="width: 100%">
                                                        {% for s in socialAides %}
                                                            <option value="{{ s.id}}">{{ s.nom}}</option>
                                                        {% endfor %}
                                                    </select>

                                                </td>

                                                <td>
                                                    <a class="btn btn-info btn-soft-primary waves-effect waves-light" href="{{ path('dossier_show', {'id': dossier.id}) }}">الدخول للملف</a>
                                                    <button type="button" name="create" value="{{random()}}"
                                                            data-dossier-id="{{dossier.id}}" data-select-id="#select-{{ loop.index }}"
                                                            class="btn btn-success btn-soft-info waves-effect waves-light btn-s">
                                                        الاستفادة من المساعدة
                                                    </button>

                                                </td>
                                            </tr>
                                        {% else %}
                                            <tr>
                                                <td colspan="10">لا يوجد أي شيئ</td>
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>
                                </div>


                            </div>
                        </div>
                        <div class="tab-pane" id="navtabs2-messages" role="tabpanel">
                            <div class="card-body">


                                <h4 class="card-title">الملفات الموسمية  </h4>
                                <div class="">
                                    <table class="table table-striped table-bordered dt-responsive nowrap datatable-buttons" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                        <tr>
                                            <th>الاسم العائلي للأيتام </th>
                                            <th>رقم الملف</th>
                                            <th>التاريخ</th>
                                            <th>المنطقة</th>
                                            <th>الجماعة</th>
                                            <th>العنوان</th>
                                            <th>الهاتف 1</th>
                                            <th>المساعدة</th>
                                            <th>الوضعيات</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for dossier in dossierNoValid %}
                                            <tr id="{{'dossier'~dossier.id}}">
                                                <td>{{ dossier.date ? dossier.date|date('Y-m-d') : '' }}</td>
                                                <td>{{ dossier.id }}</td>
                                                <td>{{ dossier.familleNom }}</td>
                                                <td>{{ dossier.region }}</td>
                                                <td>{{ dossier.commune }}</td>
                                                <td>{{ dossier.adresse }}</td>
                                                <td>{{ dossier.tel1 }}</td>

                                                <td>
                                                    <select name="socialAide_id" class="form-control select2" id="select-{{ loop.index }}" style="width: 100%">
                                                        {% for s in socialAides %}
                                                            <option value="{{ s.id}}">{{ s.nom}}</option>
                                                        {% endfor %}
                                                    </select>

                                                </td>

                                                <td>
                                                    <a class="btn btn-info btn-soft-primary waves-effect waves-light" href="{{ path('dossier_show', {'id': dossier.id}) }}">الدخول للملف</a>
                                                    <button type="button" name="create" value="{{random()}}"
                                                            data-dossier-id="{{dossier.id}}" data-select-id="#select-{{ loop.index }}"
                                                            class="btn btn-success btn-soft-info waves-effect waves-light btn-s">
                                                        الاستفادة من المساعدة
                                                    </button>

                                                </td>
                                            </tr>
                                        {% else %}
                                            <tr>
                                                <td colspan="10">لا يوجد أي شيئ</td>
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    </table>

                                </div>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>


    </div>
    <div class="row">
        <div class="col-12">
            <div class="card">

            </div>
        </div> <!-- end col -->
    </div>

{#

    {% if app.request.query.get('action')=='line_add_social' %}

        {{ include('modal/socialAide.html.twig') }}
        <script>
            $(function () {
                $('#add_social').modal('show');
            });
        </script>
    {% endif %}
#}


    <script>
        $(function () {
            $('#dt-buttons').hide();
            $(".btn-s").click(function () {

                var formData = {
                    'dossier_id': -1,
                    'socialAide_id': -1,
                };
                formData.dossier_id = parseFloat($(this).attr('data-dossier-id'));

                formData.socialAide_id =$($(this).attr('data-select-id')).val();
                console.log(formData);
                $.ajax({
                    url: "{{ path('dossier_new_aidSocial_ajax') }}",
                    dataType: "JSON",
                    data: formData,
                    success: function (data) {
                        console.log(data);
                        $("#dossier" + formData.dossier_id).hide('slow');
                    },
                    error: function (err) {
                        console.log("error");

                    }
                });

            });
        });
    </script>

{% endblock %}
